API Docs//
API Reference
/- Edit an Appointment
Get an Appointment
Get Appointment Status
Create an Appointment
List Appointment Types
Get Booking Link
Count Bookable Slots
Get Bookable Slot
List Bookable Slots
Check slot availability
List Appointments
Book an Appointment
Cancel an Appointment
Reschedule Appointment
Edit an Appointment reservation
List Automated messages
List Booking links
Book an Appointment
Cancel an Appointment
Reschedule an Appointment
Edit an Appointment
Deprecated: new integrations should use PUT /v2/appointments/{id} (editAppointmentV2) instead. This endpoint remains available for existing hero_confirmed integrations.
Edit a non-confirmed appointment
Security
apiKeyAuth and practiceGroupId
- Mock serverhttps://developer.herohealth.net/_mock/apis/public-api/openapi/v1/appointments/{id}
- Staginghttps://api.staging.htech.app/v1/appointments/{id}
- Productionhttps://api.herohealth.net/v1/appointments/{id}
curl -i -X PUT \
'https://developer.herohealth.net/_mock/apis/public-api/openapi/v1/appointments/{id}' \
-H 'Content-Type: application/json' \
-H 'x-api-key: YOUR_API_KEY_HERE' \
-H 'x-practice-group-id: YOUR_API_KEY_HERE' \
-d '{
"practitioner_id": "15",
"duration": 15,
"start_time": "2026-03-15T09:30:00Z",
"suppress_mail": false,
"suppress_availability_check": false
}'